# Make file for TEC under Turbo C 2.0
# Peter C. Lind, Elec. & Comp. Eng., McMaster University, Hamilton, ON., 1990.
# NOTE: Read the comments in this file before proceeding; the macros defining
#       directories may need to be modified to work properly on your system;
#       also, certain macros may be altered to produce 80186/80286 code and/or
#       80x87 code.

# Turbo C Directory (Change as needed; DOS path \ must be specified
#                    as \\ at the end of a line)
TCD=\TC\\

# Memory Model (Change c to l for large, or h for huge)
MDL=c

# Path to libraries (Change as needed; DOS path \ must be specified
#                    as \\ at the end of a line)
LIB=\TC\LIB\\

# Instruction Set (Add -1 after = to enable 80186/80286)
INST=

# 80x87 Support (Add -f87 after = to enable 80x87 code generation, and...)
FLP=

# 80x87 Support (...change emu to fp87)
FLT=emu

# Compiler options:
#      -c      Compile to OBJ
#      -G      Optimize for speed
#      -w-     Suppress warnings
#      -a      Align on word boundary
OPTS=-c -m$(MDL) -G -w- -a $(INST) $(FLP)


tec.exe: ibmpc.obj tec1.obj tec2.obj tec3.obj
  $(TCD)tlink $(LIB)c0$(MDL) ibmpc tec1 tec2 tec3, tec, , \
        $(LIB)graphics $(LIB)$(FLT) $(LIB)math$(MDL) $(LIB)c$(MDL)

ibmpc.obj: ibmpc.c const.h var.h
  $(TCD)tcc $(OPTS) ibmpc.c

tec1.obj: tec1.c const.h var.h
  $(TCD)tcc $(OPTS) tec1.c

tec2.obj: tec2.c const.h var.h
  $(TCD)tcc $(OPTS) tec2.c

tec3.obj: tec3.c const.h var.h
  $(TCD)tcc $(OPTS) tec3.c
